﻿function getInfo(){
  // DOMからe-typingの各ワードのリザルトを取得
  var info = document.getElementById('typing_content').contentDocument.getElementById('exampleList').children[0];
  var total_length = 0;
  var total_time = 0;
  var total_miss = 0;
  // 取得した情報を処理、リザルト画面に書き込み
  for (let i = 0; i < 15; i++) {
    if(info.children[i].children.length != 2){
      var word1 = info.children[i].children[0].innerHTML;
      var word2_all = info.children[i].children[1].children;
      var word2 = '';
      for (let j = 0; j < word2_all.length; j++){
        if (word2_all[j].getAttribute('data-tooltip')){
          word2 += word2_all[j].innerHTML;
        }
      }
      var stats = info.children[i].children[2].innerHTML;
      var latency = Number(stats.split(',')[0].split(': ')[1]);
      var rkpm = Number(stats.split(',')[2].split(': ')[1]);
      var miss = Number(stats.split(',')[3].split(': ')[1]);

      total_length += word2.length;
      total_time += latency + 60 * (word2.length - 1) / rkpm;
      total_miss += miss;

      var elem = document.createElement('div');
      var wpm = 60 * (total_length / total_time);
      var accuracy = (total_length - total_miss) / total_length;
      var score = wpm * accuracy * accuracy * accuracy;
      elem.innerHTML = (i + 1) + '番目までのWPM: ' + (Math.floor(wpm * 100) / 100) + '<br>' + (i + 1) + '番目までのスコア: ' + (Math.floor(score * 100) / 100);
      info.children[i].append(elem);
    }
  }
}

document.getElementById("run").addEventListener('click', async () => {

let [tab] = await chrome.tabs.query({ active: true, currentWindow: true });

chrome.scripting.executeScript({
  target: { tabId: tab.id },
  func: getInfo,
},
(injectionResults) => {
  //alert(injectionResults[0].result);
  var output = injectionResults[0].result;
  //outputInfo(output);
});

});